DCMTK: DRTModalityLUTSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTModalityLUTSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTModalityLUTSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getLUTData (Uint16 *&value, unsigned long *count=NULL) const
| get LUTData (0028,3006)
OFCondition | getLUTDescriptor (Uint16 &value, const unsigned long pos=0) const
| get LUTDescriptor (0028,3002)
OFCondition | getLUTExplanation (OFString &value, const signed long pos=0) const
| get LUTExplanation (0028,3003)
OFCondition | getModalityLUTType (OFString &value, const signed long pos=0) const
| get ModalityLUTType (0028,3004)
OFCondition | setLUTData (const Uint16 *value, const unsigned long count)
| set LUTData (0028,3006)
OFCondition | setLUTDescriptor (const Uint16 value, const unsigned long pos=0)
| set LUTDescriptor (0028,3002)
OFCondition | setLUTExplanation (const OFString &value, const OFBool check=OFTrue)
| set LUTExplanation (0028,3003)
OFCondition | setModalityLUTType (const OFString &value, const OFBool check=OFTrue)
| set ModalityLUTType (0028,3004)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmOtherByteOtherWord | LUTData
| LUTData (0028,3006) vr=US/OW, vm=1-n, type=1.
DcmUnsignedShort | LUTDescriptor
| LUTDescriptor (0028,3002) vr=US/SS, vm=3, type=1.
DcmLongString | LUTExplanation
| LUTExplanation (0028,3003) vr=LO, vm=1, type=3.
DcmLongString | ModalityLUTType
| ModalityLUTType (0028,3004) vr=LO, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTModalityLUTSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTModalityLUTSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getLUTData()

OFCondition DRTModalityLUTSequence::Item::getLUTData | ( | Uint16 *& | value,
|  | unsigned long * | count = NULL ) const

get LUTData (0028,3006)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLUTDescriptor()

OFCondition DRTModalityLUTSequence::Item::getLUTDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get LUTDescriptor (0028,3002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLUTExplanation()

OFCondition DRTModalityLUTSequence::Item::getLUTExplanation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get LUTExplanation (0028,3003)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getModalityLUTType()

OFCondition DRTModalityLUTSequence::Item::getModalityLUTType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ModalityLUTType (0028,3004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTModalityLUTSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTModalityLUTSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTModalityLUTSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTModalityLUTSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLUTData()

OFCondition DRTModalityLUTSequence::Item::setLUTData | ( | const Uint16 * | value,
|  | const unsigned long | count )

set LUTData (0028,3006)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLUTDescriptor()

OFCondition DRTModalityLUTSequence::Item::setLUTDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set LUTDescriptor (0028,3002)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLUTExplanation()

OFCondition DRTModalityLUTSequence::Item::setLUTExplanation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set LUTExplanation (0028,3003)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setModalityLUTType()

OFCondition DRTModalityLUTSequence::Item::setModalityLUTType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ModalityLUTType (0028,3004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTModalityLUTSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtmls.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2